# Manuel de &konsole;

&Jonathan.Singer; &Jonathan.Singer.mail;
&Kurt.Hindenburg; &Kurt.Hindenburg.mail;
&Kurt.Hindenburg; &Kurt.Hindenburg.mail;
&Waldo.Bastian; &Waldo.Bastian.mail;
&Mike.McBride; &Mike.McBride.mail;

&traducteurAnneMarieMahfouf; &traducteurLudovicGrossard; &traducteurEricBischoff; &traducteurDamienRaudeMorvan; &relecteurLudovicGrossard;

2000
2001
2002
&Jonathan.Singer;
2005
&Kurt.Hindenburg;
&FDLNotice;
2006-08-16
1.6.2

Ce document est le manuel de l'utilisateur pour l'application &konsole;.

&konsole; est un émulateur de terminal X pour &kde;.

KDE
konsole
kdebase
commande
ligne

## Introduction à &konsole;

### Qu'est-ce qu'un terminal ?

Les systèmes d'exploitation &UNIX; étaient à l'origine des systèmes uniquement de type texte, manipulés au moyen de commandes saisies au clavier -- ce que l'on appelle une interface en ligne de commande (CLI ou command-line interface). Les projets &X-Window;, &kde; et d'autres projets ont depuis ajouté l'interface graphique que vous utilisez actuellement. Cependant, le système en ligne de commande sous-jacent est toujours présent et constitue fréquemment la méthode la plus facile, la plus rapide et la plus puissante pour accomplir certaines tâches.

&konsole; est ce que l'on appelle un émulateur de terminal X, souvent appelé simplement un terminal ou un interpréteur de commandes. Il vous donne l'équivalent d'un écran de type texte à l'ancienne mode sur votre bureau, mais qui peut partager facilement l'écran avec vos applications graphiques. Les utilisateurs de &Windows; sont peut-être familiers avec l'utilitaire Invite MS-DOS, qui a une fonction analogue qui consiste à offrir une ligne de commande DOS sous &Windows; (bien que la ligne de commande sous &UNIX; soit bien plus puissante et facile à utiliser que le DOS !).

Expliquer l'utilisation de la ligne de commande &UNIX; sort du cadre de cette documentation et demanderait un livre entier à elle toute seule. Heureusement, beaucoup de livres sont disponibles dans toutes les langues dans toutes les bonnes librairies et dans les bibliothèques. Il y a aussi des didacticiels disponibles sur l'Internet. Amusez-vous avec &kde;, mais n'ayez pas peur d'apprendre à vous servir de la ligne de commande ! Vous verrez qu'en apprenant simplement les bases, votre ordinateur sera beaucoup plus efficace et agréable à utiliser.

### Qu'est-ce qui rend &konsole; différent ?

Les caractéristiques avancées de &konsole; comprennent la possibilité de le configurer simplement ainsi que la possibilité d'utiliser plusieurs terminaux shell dans une seule fenêtre, ce qui diminue l'encombrement de votre bureau.

En utilisant &konsole;, un utilisateur peut ouvrir :

- des sessions de console &Linux; ;

- des sessions shell ;

- des sessions Screen ;

- des sessions du gestionnaire de fichiers Midnight Commander ;

- des sessions de console administrateur (utilisateur root) ;

- des sessions du gestionnaire de fichiers Midnight Commander en tant qu'administrateur (utilisateur root).

- Les sessions créées par les utilisateurs

Ces sessions peuvent être renommées pour vous aider à garder trace de tous vos interpréteurs de commande ouverts. On peut également leur envoyer des signaux (STOP, CONT, HUP, INT, TERM, KILL).

Pour prendre &konsole; en main plus à fond, un utilisateur peut :

- cacher/montrer la barre de menus ou le cadre ;

- choisir la taille d'une fenêtre de &konsole;, les polices, les modèles de couleur et l'assignation des touches ;

- changer l'emplacement de la barre de défilement ou la cacher ;

- changer l'emplacement de la barre d'onglets ou la cacher ;

Toutes les options choisies peuvent devenir les valeurs par défaut pour les sessions à venir en les enregistrant.

Pour ceux qui s'intéressent de près à la taxinomie des terminaux X libres, il en existe deux autres de la même sorte : xterm, l'original, écrit même avant X lui-même (un mois ou deux) et xvt, un clone léger de xterm, sur lequel la plupart des dérivés disponibles en ce moment (notamment eterm) sont basés.

Après une décennie, &konsole; est le premier à être entièrement réécrit. Alors que xterm a été compliqué à l'extrême pendant ce temps (son fichier `README` commence par les mots Abandonnez tout espoir, vous qui entrez ici), &konsole; offre un nouveau départ en utilisant des technologies et une approche contemporaines de X.

## Utilisation de &konsole;

### Démarrage

Quand &konsole; est invoqué, une application (typiquement un interpréteur de commandes d'&UNIX;) s'exécute dans la fenêtre. Saisissez simplement vos commandes à l'invite.

Écran de &konsole;
L'écran de &konsole;

&konsole; avec quatre sessions de terminal ouvertes.

Une fenêtre Astuce du jour peut apparaître au démarrage, vous donnant des conseils sur la façon d'utiliser &konsole;. Si vous ne voulez pas de ces conseils, décochez Afficher les astuces au démarrage.

### Historique

Lorsque les lignes défilent à partir du haut de l'écran, elles peuvent être affichées à nouveau en déplaçant la barre de défilement vers le haut, avec la molette de la souris ou en utilisant les touches &Maj;Page précédente (pour revenir à la page précédente), &Maj;Page suivante (pour aller à la page suivante), &Maj;flèche vers le haut (pour remonter d'une ligne) et les touches &Maj;flèche vers le bas (pour descendre d'une ligne) (en supposant que l'option Historique soit cochée).

En outre, &konsole; imite la console de FreeBSD lorsque la touche Arrêt défil est enfoncée. Lorsque l'arrêt du défilement est activé, les entrées et sorties ordinaires depuis la console sont suspendues et vous pouvez faire défiler l'historique avec Page précédente, Page suivante, Flèche vers le haut et Flèche vers le bas.

On accède aux réglages de l'historique de &konsole; au moyen de Configuration Historique...

&konsole; offre de nombreuses possibilités liées à l'historique regroupées dans le menu Édition.

- Chercher dans l'historique...

- Poursuivre la recherche

- Rechercher le précédent

- Enregistrer l'historique sous...

- Effacer l'historique

- Effacer tous les historiques

Dans konsole, le terme historique désigne le texte qui est addiché dans la fenêtre de &konsole;. L'interpréteur de commandes qui fonctionne au sein de &konsole; (&pex; bash) possède son propre historique, qui n'a pas de lien avec l'historique de &konsole;.

### Les sessions

Si vous vous connectez souvent à des machines distantes ou si vous lancez toujours le même type d'applications en mode terminal, la fonction Sessions de &konsole; accompagnée de la gestion des sessions de &kde; peut automatiser tout cela pour vous. Prenons l'exemple suivant : vous avez souvent besoin d'une session ssh toute prête vers la machine administration pour des tâches d'administration génériques. Vous avez peut-être remarqué que le bouton Nouveau dans la barre d'onglets de &konsole; affiche un menu si l'on maintient le clic pendant quelques secondes ; ce menu vous permet de choisir un type de session. Nous allons ajouter de nouveaux choix dans ce menu.

1. Choisissez Configuration Configurer &konsole;...

2. Choisissez l'onglet Session.

3. Remplissez la première zone avec un nom. C'est ce nom qui sera affiché dans le menu et qui sera le libellé par défaut à la place de Terminal quand vous démarrerez une session de ce type.

4. Saisissez une commande, comme vous le feriez en ouvrant un nouveau terminal. Pour notre premier exemple, vous pouvez écrire ``ssh` administration`.

5. La partie inférieure du panneau sert à configurer l'apparence de la session. Vous pouvez utiliser une police, un thème de couleurs et un type de terminal ($`TERM`) différents pour chaque session.

6. Appuyez sur le bouton Enregistrer la session.... Une boîte de dialogue vous demandera de confirmer le nom du fichier.

7. Appuyez sur OK.

Vous devriez désormais pouvoir choisir votre nouveau type de session dans la liste en cliquant pendant quelques secondes sur le bouton Nouveau de la barre d'onglets. Une nouvelle session de terminal s'ouvrira dans la fenêtre de &konsole;, avec le résultat de votre commande. Dans notre exemple, ce sera une demande de mot de passe de ssh et quand vous aurez fourni votre mot de passe vous serez connecté à la machine distante Vous pouvez éviter cette étape en utilisant ssh-agent, mais c'est le sujet d'une autre astuce. Peut-être voulez-vous suivre le journal d'erreurs http de votre serveur web. Vous pouvez utiliser une ligne de commande comme celle-ci : ``ssh` `-f` monserveur `tail` `-f` `/var/log/httpd-error.log``.

Vous pouvez également utiliser cela pour exécuter des commandes locales. Essayez de créer une session où la commande est ``tail` `-f` `/var/log/messages``. Dans ce cas, le fait de quitter l'application en cours d'exécution aura également pour effet de fermer la session de terminal.

Cette fonction est également très pratique si vous trouvez que vous avez souvent les mêmes sessions ouvertes, &kde; peut les ouvrir automatiquement pour vous quand vous démarrez une nouvelle session de &kde;. Il suffit de les laisser ouvertes quand vous quittez &kde; : elles seront enregistrées avec votre session &kde; et restaurées comme toute autre application lorsque vous relancez &kde;.

Vous pouvez créer des raccourcis vers n'importe quelle session.

### Les boutons de la souris

Cette section décrit en détail l'utilisation des boutons de la souris en prenant comme référence l'ordre de boutons usuel pour les droitiers. Pour l'ordre des boutons d'une souris pour gauchers, veuillez échanger gauche et droite dans le texte ci-dessous.

gauche

  Un clic sur le &BGS; est transmis en tant qu'événement à l'application qui fonctionne dans l'émulateur si elle gère cette fonction. Si un programme est capable de réagir aux clics de souris, &konsole; l'indique en donnant au curseur la forme d'une flèche. Dans le cas contraire, un curseur en forme de barre verticale est affiché.

  Si vous conservez le &BGS; enfoncé en déplaçant la souris dans l'écran lorsqu'une application qui ne gère pas la souris fonctionne dans le terminal, une région du texte sera marquée. Le texte ainsi marqué sera affiché en vidéo inversée. Choisissez Copier dans le menu Édition pour copier le texte marqué dans le presse-papiers pour l'utiliser plus tard dans &konsole; ou dans une autre application. Le texte sélectionné peut également être glissé et déposé dans une application compatible. Cliquez sur le texte sélectionné et déposez-le à l'endroit voulu (en fonction de vos réglages de &kde;, vous devrez peut-être maintenir la touche &Ctrl; enfoncée lors du glissé).

  Normalement, des caractères de fin de ligne sont ajoutés à la fin de chaque ligne sélectionnée. C'est habituellement mieux pour copier-coller du code source ou pour la sortie d'une commande particulière. Pour du texte ordinaire, les sauts de ligne ne sont généralement pas importants. Cependant, on pourrait souhaiter que le texte prenne la forme d'une simple suite de caractères qui sera automatiquement reformatée lorsqu'elle sera collée dans une autre application. Pour sélectionner du texte de cette manière, enfoncez la touche &Ctrl; tout en sélectionnant normalement.

  Appuyez sur &Ctrl; et sur &Alt; en même temps que sur le &BGS; pour sélectionner une colonne de texte.

  Double-cliquez avec le &BGS; pour sélectionner un mot ; triple-cliquez pour sélectionner une ligne complète.

  Dès que le bord supérieur ou inférieur de la zone de texte marquée est atteint, &konsole; le fait défiler vers le haut ou vers le bas, affichant ainsi le cas échéant le contenu du tampon d'historique. Le défilement cesse dès que vous cessez de déplacer la souris.

  Après que vous avez relâché la souris, &konsole; essaye de garder la sélection visible en la laissant en vidéo inversée. La zone ainsi marquée revient à un affichage normal dès que le contenu du presse-papiers change, lorsque le texte dans la zone marquée est modifié ou lorsque vous cliquez sur le &BGS;.

  Pour marquer du texte dans une application qui gère les événements de souris (Midnight Commander par exemple), il faut enfoncer la touche &Maj; pendant que l'on clique.

central

  En appuyant sur le &BCS;, le texte actuellement dans le presse-papiers est collé. En gardant la touche &Ctrl; enfoncée lorsque vous cliquez avec le &BCS;, le texte est collé et envoyé à &konsole;.

  Si vous avez une souris avec seulement deux boutons, appuyer en même temps sur le &BGS; et le &BDS; imite le &BCS; de la souris à trois boutons.

  Si vous avez une souris avec une molette à l'emplacement du &BCS;, le fait d'actionner cette molette dans un programme qui ne gère pas la souris fera se déplacer la barre de défilement de &konsole;.

droit

  Les éléments qui apparaissent dans le menu lorsque l'on appuie sur le &BDS; dépendent du fait que la barre de menu est visible ou non.

  Lorsque la barre de menu est visible, il s'agit des éléments de menu Fin de la sélection, Copier, Coller, Envoyer un signal, Détacher la session, Renommer la session..., Signets et Fermer la session.

  Lorsque la barre de menu est masquée, il s'agit des éléments de menu Afficher la barre de menus, Fin de la sélection, Copier, Coller, Envoyer un signal, Nouvelle session, Détacher la session, Renommer la session..., Signets, Configuration et Fermer la session.

  Dans une application qui gère la souris, maintenez la touche &Maj; appuyée pendant que vous appuyez sur le &BDS; pour obtenir le menu contextuel.

  Appuyez sur &Ctrl; en même temps que le &BDS; pour afficher le menu Session.

### La barre de menus

La barre de menus se trouve en haut de la fenêtre de &konsole;. Elle peut être activée ou désactivée au moyen de la touche &Alt;.

Configuration Cacher la barre de menus permet de rendre invisible la barre de menus. lorsqu'elle est masquée, l'option Afficher la barre de menus peut être affichée en cliquant avec le &BDS; dans la fenêtre ou avec &Ctrl;&Alt;M , qui est le raccourci par défaut pour activer la barre de menu. Vous pouvez également définir votre propre raccourci permettant d'activer ou de désactiver la barre de menus.

#### Le menu Session

Session Nouveau shell

  Ouvre une nouvelle session avec un interpréteur de commandes dans un terminal. &Ctrl;&Alt;N peut également être utilisé, comme décrit plus bas.

Session Nouvelle fenêtre

  Ouvre un terminal dans une nouvelle fenêtre.

Session Nouvelle console Linux

  Ouvre une nouvelle session simulant un système &Linux; en mode texte.

  Voyez le fichier `README.linux.console` pour des informations détaillées sur les différences entre une console &Linux; et une console &UNIX; typique. Si cela ne signifie rien pour vous, ne vous inquiétez pas pour ça.

Session Nouveau Midnight Commander

  Ouvre une nouvelle session avec le navigateur de fichiers Midnight Commander.

  Cet élément de menu n'apparaît que si Midnight Commander (`mc`) est installé sur votre système.

Session Nouveau Midnight Commander en tant que superutilisateur

  Ouvre une nouvelle session avec le navigateur de fichiers Midnight Commander, en tant qu'administrateur (utilisateur root).

  Après l'invite demandant le mot de passe de root, l'invite # apparaît sous la fenêtre de navigation, indiquant que l'utilisateur travaille maintenant avec les privilèges de l'administrateur (utilisateur root). Encore une fois, il est fréquemment nécessaire de travailler en root mais des précautions doivent être prises pour éviter tout dommage accidentel.

  Cet élément de menu n'apparaît que si Midnight Commander (`mc`) est installé sur votre système.

Session Nouveau shell superutilisateur

  Ouvre une nouvelle session avec un interpréteur de commandes, en tant qu'administrateur (utilisateur root).

  Après l'invite demandant le mot de passe du superutilisateur root, l'invite # apparaît, indiquant que l'utilisateur travaille maintenant avec les privilèges de l'administrateur (utilisateur root). Cela est fréquemment nécessaire pour installer un nouveau logiciel ou pour effectuer la maintenance du système, mais des précautions doivent être prises pour éviter tout dommage accidentel.

Session Nouvelle session Screen

  Ouvre une nouvelle session avec le gestionnaire de terminal virtuel Screen. Voir ``man` `screen`` pour plus d'informations.

  Cet élément de menu n'apparaît que si Screen (`screen`) est installé sur votre système.

Session Nouveau shell d'après le signet

  Ouvre un nouvel interpréteur de commandes dans un dossier choisi dans la liste des signets.

Session Imprimer l'écran...

  Imprime l'écran actuel.

Session Fermer la session

  Ferme la session actuelle.

Session Quitter

  Quitte &konsole;, en fermant toutes les sessions ainsi que toute application lancée depuis une session.

Vous pouvez également ouvrir une nouvelle session grâce à un accélérateur clavier. Par défaut, il s'agit de &Ctrl;&Alt;N. Vous pouvez également définir votre propre accélérateur clavier avec Configuration Configurer les raccourcis clavier....

La liste des sessions disponibles reflète les programmes qui sont installés et comprend les sessions définies par les utilisateurs. La liste des sessions est triée par ordre alphabétique pour en faciliter la lecture.

Enfin, remarquez que les types de sessions peuvent être modifiés et de nouveaux types créés en utilisant la fenêtre de dialogue de configuration Configuration Configurer Konsole....

#### Le menu Édition

Édition Copier

  Copie le texte sélectionné dans le presse-papiers.

&Maj;Inser. Édition Coller

  Colle du texte depuis le presse-papiers à l'emplacement du curseur.

Édition Envoyer un signal

  Envoie un signal. Envoie le signal indiqué au processus shell ou à tout autre processus qui a été lancé quand la nouvelle session a débuté.

  Les signaux disponibles actuellement sont :

  STOP | pour arrêter un processus
  CONT | continuer après arrêt
  HUP | gel détecté sur le terminal de contrôle ou mort du processus de contrôle
  INT | interruption depuis le clavier
  TERM | signal d'arrêt
  KILL | tuer le processus
  USR1 | signal utilisateur 1
  USR2 | signal utilisateur 2

  Veuillez vous référer aux pages de manuel de votre système pour plus de détails en saisissant la commande ``man` `7 signal``.

&Ctrl;&Alt;U Édition Téléchargement par ZModem...

  Envoie un fichier par ZModem.

Édition Effacer le terminal

  Efface tout le texte dans la fenêtre de la session.

Édition Réinitialiser & effacer le terminal

  Réinitialise et efface tout le texte dans la fenêtre de la session.

Édition Chercher dans l'historique...

  Cherche un mot ou une chaîne de caractères dans l'historique. Des options permettent de tenir compte de la casse ou de chercher en arrière et d'utiliser des expressions rationnelles dans la recherche. Appuyez sur le bouton Édition pour utiliser l'éditeur graphique de &kde; pour créer une expression rationnelle.

Édition Poursuivre la recherche

  Se place sur la prochaine occurrence du texte cherché.

Édition Chercher le précédent

  Se place sur l'occurrence précédente du texte cherché.

Édition Enregistrer l'historique sous...

  Enregistre l'historique dans un fichier texte.

Édition Effacer l'historique

  Efface l'historique de la session actuelle.

Édition Effacer tous les historiques

  Efface les historiques de toutes les sessions.

#### Le menu Affichage

Affichage Détacher la session

  Ouvre la session actuelle dans une fenêtre séparée. Le nom de la session est affiché dans la barre de titre de la nouvelle fenêtre.

&Ctrl;&Alt;S Affichage Renommer la session...

  Ouvre une boîte de dialogue qui permet de changer le nom de la session actuelle. Le nom est affiché dans l'onglet de la session. Vous pouvez également utiliser &Ctrl;&Alt;S .

Affichage Guetter l'activité

  Note que la session actuelle doit afficher une alerte si quelque chose se produit. Une icône représentant une ampoule allumée apparaîtra dans l'onglet de la session. Elle permet de vous alerter lorsque quelque chose se produit alors que vous travaillez dans une autre session. La durée avant qu'une alerte n'apparaisse peut être modifiée dans les réglages de &konsole;.

Affichage Guetter l'inactivité

  Note que la session actuelle doit afficher une alerte s'il n'y a aucune activité pendant 10 secondes. Une icône représentant une ampoule éteinte apparaîtra dans l'onglet de la session. Elle permet de vous alerter lorsqu'une tâche se termine alors que vous travaillez dans une autre session. La durée avant qu'une alerte n'apparaisse peut être modifiée dans les réglages de &konsole;.

Affichage Envoyer la saisie à toutes les sessions

  Note que la session actuelle doit envoyer les commandes saisies également à toutes les autres sessions. La session comportera une petite icône dans l'onglet pour vous rappeler de faire attention à ce que vous saisissez ! Ce n'est sans doute pas une bonne idée de saisir ``rm` `-rf *`` par exemple.

&Maj;&Ctrl;Gauche Affichage Déplacer à la session vers la gauche

  Déplace l'onglet de la session actuelle d'un onglet vers la gauche.

&Maj;&Ctrl;Droite Affichage Déplacer à la session vers la droite

  Déplace l'onglet de la session actuelle d'un onglet vers la droite.

  Les combinaisons de touches &Maj; gauche et &Maj; droite peuvent également être utilisées pour naviguer entre les sessions.

Affichage Icônes de session...

  À la fin du menu se trouve une liste des sessions disponibles. En choisir une rendra cette session active.

  Vous pouvez aussi utiliser les touches &Maj;gauche/&Maj;droit pour parcourir les différentes sessions disponibles.

#### Le menu Signets

Signets Ajouter un signet

  Ajoute le dossier courant à la liste des signets.

Signets Modifier les signets

  Permet de modifier la liste des signets.

Signets Nouveau dossier de signets...

  Ajoute un nouveau dossier à la liste de signets.

La liste des signets est affichée en bas du menu. Choisissez un signet pour vous rendre à l'emplacement correspondant.

Vous pouvez utiliser l'éditeur de signets pour ajouter à la main des URL comme ssh://utilisateur@hote ou telnet://hote pour ouvrir des connexions distantes.

#### Le menu Configuration

Configuration Cacher la barre de menus

  Cache la barre de menus.

Configuration Barre d'onglets

  Contrôle l'emplacement et la visibilité de la barre d'onglets : Masquée, À gauche ou À droite.

Configuration Barre de défilement

  Contrôle l'emplacement et la visibilité de la barre de défilement : Masquée, À gauche ou À droite.

&Maj;&Ctrl;F Configuration Mode plein écran

  Bascule la fenêtre entre plein écran et taille normale.

Configuration Cloche

  Règle le signal sonore : Cloche du système, Notifications du système Cloche visible ou Aucun.

Configuration Police

  Règle la taille de la police : Agrandir la police ou Diminuer la police.

  Choisissez l'option Personnalisée... pour choisir librement la combinaison de police, taille et style souhaitée.

Configuration Encodage

  Choisit l'encodage des caractères.

Configuration Clavier

  Choisit la table de caractères souhaitée.

  La liste de ces tables de caractères se trouve dans `$KDEDIR/apps/konsole/*.keytab`. Le fichier `$KDEDIR/share/apps/konsole/README.KeyTab` décrit le format `*.keytab` en détail. Complétez ou modifiez ces fichiers en fonction de vos besoins. La table de caractère par défauts est choisie comme indiqué dans `$KDEDIR/share/apps/konsole/README.default.Keytab`.

Configuration Modèle

  Règle les couleurs du texte et du fond d'écran.

  La liste de ces modèles est lue dans `$KDEDIR/share/apps/konsole/*.schema`. Le fichier `$KDEDIR/share/apps/konsole/README.Schema` décrit le format `*.schema` avec plus de détails. Complétez ou modifiez ces fichiers en fonction de vos besoins. Vous pouvez également créer des modèles personnalisés dans la boîte de dialogue de configuration obtenue par Configuration Configurer &konsole;....

Configuration Taille

  Règle la taille de la zone de texte (en colonnes par ligne).

Configuration Historique...

  Ouvre une boîte de dialogue grâce à laquelle vous pouvez configurer l'historique. La case à cocher Activer contrôle l'enregistrement des lignes qui ont défilé vers le haut de la fenêtre jusqu'à en disparaître. Vous pouvez saisir le Nombre de lignes à mémoriser dans la zone de texte ou utiliser les compteurs rotatifs pour augmenter ou diminuer ce nombre par tranches de 100 lignes. Le bouton Par défaut réinitialise l'historique à 1 000 lignes. En choisissant Illimité, la totalité de l'historique sera enregistré. Appuyez sur OK pour enregistrer vos modifications ou sur Annuler pour fermer la boîte de dialogue sans enregistrer vos réglages.

Configuration Enregistrer

  Enregistre les paramètres actuels comme nouveaux paramètres par défaut.

Configuration Enregistrer les paramètres des sessions...

  Enregistre le jeu de sessions actuelles sous le nom de votre choix. Ce profil peut être utilisé en démarrant &konsole; depuis la ligne de commandes en précisant `--profile` suivi du nom du profil.

Configuration Configurer les notifications...

  Personnalise les notifications de &konsole;.

Configuration Configurer les raccourcis clavier...

  Personnalise les raccourcis clavier de &konsole;.

Configuration Configurer &konsole;...

  Ouvre le module du &centreConfiguration;, vous permettant ainsi d'effectuer plusieurs modifications supplémentaires à l'interface et au comportement de &konsole;, y compris la création de modèles personnalisés et la modification des sessions disponibles.

#### Le menu Aide

Aide Manuel de Konsole

  Ouvre la table des matières de ce document.

Aide Astuce du jour...

  Affiche une astuce utile à propos de l'utilisation de &konsole;. Cochez la case Afficher au démarrage pour obtenir une astuce chaque fois que &konsole; est lancé.

Aide Rapport de bogue...

  Soumettre un rapport de bogue ou demander une fonctionnalité pour &konsole;.

Aide À propos de Konsole

  Informations sur l'auteur de &konsole;

Aide À propos de KDE

  Informations sur le projet &kde;

### Barre d'onglets

La barre d'onglets permet d'attacher plusieurs sessions de terminal à une même fenêtre de &konsole;.

Image de barre d'onglets
Image de barre d'onglets

&konsole; avec 4 sessions de terminal ouvertes et la barre d'onglets en bas.

Configuration Barre d'onglets permet de déplacer la barre d'onglets En haut ou En bas. La barre d'onglets peut aussi être Masquée.

À gauche de la barre d'onglets, un bouton donne accès à de nombreuses possibilités.

- Cliquez sur ce bouton pour ouvrir une nouvelle session par défaut.

- Cliquez en maintenant le bouton appuyé pour afficher une liste de sessions parmi laquelle vous pourrez faire votre choix.

- Cliquez avec le &BDS; sur ce bouton ou sur un emplacement libre de la barre d'onglets pour faire apparaître un menu qui propose de régler certaines options.

  - Barre d'onglets : Masquée, En haut, En bas.

  - Options d'onglet : Texte & icônes, Texte seulement, Icônes seulement.

  - Masquage dynamique permet de masquer la barre d'onglets lorsqu'il n'y a qu'une seule session d'ouverte.

  - Redimensionnement automatique des onglets redimensionne automatiquement les onglets en fonction de la taille de la barre d'onglets.

À la droite de la barre d'onglets, un bouton permet de fermer la session actuelle. Ce bouton est désactivé s'il n'y a qu'une seule session d'ouverte.

En cliquant avec le &BDS;, un autre menu apparaît :

- Détacher la session

- Renommer la session...

- Guetter l'activité

- Guetter l'inactivité

- Envoyer la saisie à toutes les sessions

- Choisir la couleur de l'onglet...

- Basculer vers l'onglet

- Fermer la session

### Options de ligne de commandes

Quand &konsole; est lancé depuis la ligne de commandes, plusieurs options peuvent être précisées pour modifier son comportement.

`--help`

  Énumère les différentes options.

`-e` `commande`

  Exécute `commande` au lieu de l'interpréteur de commandes normal.

  Tous les arguments suivant `commande` seront passés à la `commande` et non à &konsole;.

`--keytab` `fichier`

  Démarre &konsole; avec un fichier .keytab particulier afin de personnaliser les raccourcis clavier.

`--keytabs`

  Donne la liste de tous les keytabs disponibles.

`--ls`

  Démarre avec un environnement de shell de connexion. Ce qui se passe dépend de votre système, mais généralement, cela signifie que des fichiers comme `~/.profile` ou `~/.bash_profile` seront lus (si ça ne vous dit rien, ne vous inquiétez pas, mais gardez-le l'esprit pour le jour ou vous en aurez besoin).

`--name` `nom`

  Détermine le nom qui apparaît dans la barre de titre.

`--noclose`

  Empêche &konsole; de se fermer quand une commande ``exit`` est saisie dans une fenêtre de session unique.

`--noframe`

  Démarre &konsole; sans cadre.

`--nohist`

  Désactive l'enregistrement des lignes qui disparaissent en haut de la fenêtre.

`--nomenubar`

  Démarre &konsole; sans barre de menu.

`--noresize`

  Désactive le redimensionnement de la fenêtre de terminal.

`--noscrollbar`

  Démarre &konsole; sans barre de défilement.

`--notabbar`

  Démarre &konsole; sans barre d'onglets.

`--noxft`

  Démarre &konsole; sans l'anticrénelage Xft. Les petites polices peuvent être difficiles à lire avec l'anticrénelage.

`--profile` `fichier`

  Démarre &konsole; en utilisant un jeu de sessions enregistré.

`--profiles`

  Donne la liste des profils disponibles.

`--schema` `nom` | `fichier`

  Démarre &konsole; en utilisant le schéma indiqué par son nom ou dans un fichier afin de personnaliser l'apparence.

`--schemata`

  Donne la liste des schémas disponibles.

`--script`

  Autorise les fonctions &Qt; &DCOP; étendues.

`-T` `titre`

  Détermine le titre de la fenêtre.

`-tn` `terminal`

  Règle la variable d'environnement TERM à la valeur indiquée. Lisez ``man` `xterm`` pour obtenir plus d'informations sur TERM.

`-type` `type`

  Démarre une session d'un certain type plutôt qu'avec le type par défaut.

`--types`

  Donne la liste des types de sessions disponibles.

`--vt_sz` `CCxLL`

  Démarre une fenêtre de terminal de CC colonnes et LL lignes.

`--workdir` `dossier`

  Ouvre avec `dossier` comme dossier de travail.

Exemples :

    &percnt; konsole --vt_sz 90x25 --nohist

Lance &konsole; dans une fenêtre de 90 colonnes et 25 lignes, sans historique d'affichage.

    &percnt; konsole --noclose -e echo_args Bonjour, merci d'utiliser &konsole; !

Démarre &konsole; dans une fenêtre où est écrit Bonjour, merci d'utiliser &konsole; !.

`echo_args` est un simple script :

    #!/bin/bash
    echo $*

&konsole; accepte aussi les options génériques de &Qt; et de &kde; :

`--help-qt`

  Affiche les options propres à &Qt;

Les options de &Qt; suivantes n'ont pas d'effet sur &konsole; :

`--fn`, `--font` `police`

  Définit la police de l'application

`--bg`, `--background` `couleur`

  Définit la couleur de fond par défaut

`--fg`, `--foreground` `couleur`

  Définit la couleur de premier plan par défaut

`--btn`, `--button` `couleur`

  Définit la couleur de boutons par défaut.

`--help-kde`

  Affiche les options propres à &kde;

`--help-all`

  Affiche toutes les options

`--author`

  Affiche le nom des auteurs

`-v,--version`

  Affiche le numéro de la version

`--license`

  Affiche des informations sur la licence

### &DCOP;

Pour une introduction à &DCOP; et à l'utilisation de la commande `dcop`, veuillez vous reporter à la section sur &DCOP; du Guide de l'utilisateur.

## Remerciements et copyright

Dans la version 3.4 de &kde;, &konsole; est maintenu par &Kurt.Hindenburg; &Kurt.Hindenburg.mail;.

Auparavant, &konsole; était maintenu par &Waldo.Bastian; &Waldo.Bastian.mail;

L'application &konsole; est sous Copyright © 1997-2005 &Lars.Doelle; &Lars.Doelle.mail;

Ce document a été écrit par &Jonathan.Singer; &Jonathan.Singer.mail;

Ce document a été mis à jour pour &kde; 3.4 par &Kurt.Hindenburg; &Kurt.Hindenburg.mail;

Converti originellement au format DocBook SGML par par &Mike.McBride; et &Lauri.Watts;

Traduction française par &AnneMarieMahfouf;, &LudovicGrossard;, &EricBischoff; et &DamienRaudeMorvan;.

&underFDL; &underGPL;

## &konsole; sur les plates-formes autres que &Linux;

Des informations sur la façon de construire &konsole; sur d'autres plates-formes que &Linux; sont disponibles dans le fichier `README.ports` du code source de &kpackage;. Il donne une liste d'experts de certaines plates-formes (Tru64, &Solaris;, OpenBSD) et lance un appel à volontaires pour les autres plates-formes &UNIX;.

Pour plus d'informations, veuillez visiter ces sites web :

- &kde; sur FreeBSD

- &kde; sur &Solaris;

&documentation.index;